Skip to main content
POST
/
generation
/
qwen
/
qwen-image-2
Qwen Image 2.0
curl --request POST \
  --url https://open.skills.video/api/v1/generation/qwen/qwen-image-2 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "<string>"
}
'
{
  "id": "gen_123",
  "status": "IN_QUEUE",
  "input": {
    "prompt": "a cat",
    "aspect_ratio": "1:1",
    "resolution": "1024x1024",
    "n": 1
  },
  "usage": {
    "total": 20,
    "subscription": 20,
    "permanent": 0
  }
}
Qwen Image 2.0 text-to-image model

Authorizations

Authorization
string
header
required

API Key for API endpoints

Body

prompt
string
required
image_urls
string<uri>[]
negative_prompt
string
default:""
Maximum string length: 500
image_size
enum<string>
Available options:
square_hd,
square,
portrait_4_3,
portrait_16_9,
landscape_4_3,
landscape_16_9
aspect_ratio
enum<string>
default:1:1
Available options:
1:1,
16:9,
9:16,
4:3,
3:4,
3:2,
2:3
enable_prompt_expansion
boolean
default:true
seed
integer | null
Required range: 0 <= x <= 2147483647
enable_safety_checker
boolean
default:false
num_images
integer
default:1
Required range: 1 <= x <= 4
output_format
enum<string>
default:png
Available options:
jpeg,
png,
webp
n
integer
default:1

Number of results to generate (1-4)

Required range: 1 <= x <= 4

Response

Generation submission accepted

id
string
required

Generation id.

status
enum<string>
required

Queue status

Available options:
IN_QUEUE,
IN_PROGRESS,
COMPLETED,
FAILED,
CANCELED
input
object
required
usage
object
required

Credit usage breakdown for the request